Subject: Re: [PATCH] crypto: jitterentropy - avoid compiler warnings

From: Guenter Roeck <[email-masked]>
Date: Tue, 23 Jun 2015 16:18:52 -0700

On 06/23/2015 10:55 AM, Stephan Mueller wrote:
> Am Dienstag, 23. Juni 2015, 10:41:03 schrieb Guenter Roeck:
>
> Hi Guenter, Geert,
>
>> On Tue, Jun 23, 2015 at 04:18:54PM +0200, Stephan Mueller wrote:
>>> Hi Geert, Guenter,
>>>
>>> may I ask that you check that the following patch compiles without errors
>>> or warnings on your systems?
>> No build failures for all architectures.
>
> Thank you very much for your help.
>
> Now, if Geert would be so kind and have a check on his OpenRISC to ensure that
> there are no compiler warnings, I would be happy.
>
> Though, does anybody have any idea what the AVR32 compiler warning about
> crypto/builtin.o not being relaxable mean and whether that is an issue? Note,
> when I was compiling AVR32, I saw some of these warnings for other builtin.o
> too.
>

At least it compiles ;-). I don't think there is anything else we can do.

Guenter